GDB (xrefs)

Public Member Functions | Protected Member Functions | Private Types | Static Private Member Functions | Private Attributes | List of all members
gdb_disassembler Class Reference

`#include "disasm.h"`

Inheritance diagram for gdb_disassembler:

## Public Member Functions
| gdb_disassembler (struct gdbarch *gdbarch, struct ui_file *file)
int | print_insn (CORE_ADDR memaddr, int *branch_delay_insns=NULL)
struct gdbarch * | arch ()

## Protected Member Functions
| gdb_disassembler (struct gdbarch *gdbarch, struct ui_file *file, di_read_memory_ftype func)
struct ui_file * | stream ()

## Private Types
using | di_read_memory_ftype = decltype(disassemble_info::read_memory_func)

## Static Private Member Functions
static int | dis_asm_read_memory (bfd_vma memaddr, gdb_byte *myaddr, unsigned int len, struct disassemble_info *info)
static void | dis_asm_memory_error (int err, bfd_vma memaddr, struct disassemble_info *info)
static void | dis_asm_print_address (bfd_vma addr, struct disassemble_info *info)

## Private Attributes
struct gdbarch * | m_gdbarch
struct disassemble_info | m_di
CORE_ADDR | m_err_memaddr

## Detailed Description

Definition at line 41 of file disasm.h.

## Member Typedef Documentation

## ◆ di_read_memory_ftype

using gdb_disassembler::di_read_memory_ftype = decltype (disassemble_info::read_memory_func)
| private

Definition at line 43 of file disasm.h.

## Constructor & Destructor Documentation

## ◆ gdb_disassembler() [1/2]

gdb_disassembler::gdb_disassembler | ( | struct gdbarch * | gdbarch,
|  | struct ui_file * | file
| ) |  |
| inline

Definition at line 46 of file disasm.h.

## ◆ gdb_disassembler() [2/2]

gdb_disassembler::gdb_disassembler | ( | struct gdbarch * | gdbarch,
|  | struct ui_file * | file,
|  | di_read_memory_ftype | func
| ) |  |
| protected

Definition at line 730 of file disasm.c.

References dis_asm_memory_error(), dis_asm_print_address(), gdbarch_bfd_arch_info(), gdbarch_byte_order(), gdbarch_byte_order_for_code(), get_disassembler_options(), and m_di.

## Member Function Documentation

## ◆ arch()

struct gdbarch* gdb_disassembler::arch | ( |  | ) |
| inline

Definition at line 53 of file disasm.h.

References m_gdbarch.

Referenced by gdb_pretty_print_disassembler::arch(), gdb_print_insn_arm(), gdb_print_insn_mips(), print_insn(), and spu_dis_asm_print_address().

## ◆ dis_asm_memory_error()

void gdb_disassembler::dis_asm_memory_error | ( | int | err,
|  | bfd_vma | memaddr,
|  | struct disassemble_info * | info
| ) |  |
| static private

Definition at line 143 of file disasm.c.

References m_err_memaddr.

Referenced by gdb_disassembler().

## ◆ dis_asm_print_address()

void gdb_disassembler::dis_asm_print_address | ( | bfd_vma | addr,
|  | struct disassemble_info * | info
| ) |  |
| static private

Definition at line 155 of file disasm.c.

References print_address().

Referenced by gdb_disassembler().

## ◆ dis_asm_read_memory()

int gdb_disassembler::dis_asm_read_memory | ( | bfd_vma | memaddr,
|  | gdb_byte * | myaddr,
|  | unsigned int | len,
|  | struct disassemble_info * | info
| ) |  |
| static private

Definition at line 133 of file disasm.c.

References target_read_code().

## ◆ print_insn()

int gdb_disassembler::print_insn | ( | CORE_ADDR | memaddr,
|  | int * | branch_delay_insns = `NULL`
| ) |  |

Definition at line 759 of file disasm.c.

References arch(), branch_delay_insns, gdbarch_print_insn(), m_di, m_err_memaddr, memory_error(), and TARGET_XFER_E_IO.

Referenced by gdb_print_insn(), gdbscm_print_insn_from_port(), and gdb_pretty_print_disassembler::pretty_print_insn().

## ◆ stream()

struct ui_file* gdb_disassembler::stream | ( |  | ) |
| inline protected

Definition at line 60 of file disasm.h.

References m_di.

## Member Data Documentation

## ◆ m_di

struct disassemble_info gdb_disassembler::m_di
| private

Definition at line 68 of file disasm.h.

Referenced by gdb_disassembler(), print_insn(), and stream().

## ◆ m_err_memaddr

CORE_ADDR gdb_disassembler::m_err_memaddr
| private

Definition at line 69 of file disasm.h.

Referenced by dis_asm_memory_error(), and print_insn().

## ◆ m_gdbarch

struct gdbarch* gdb_disassembler::m_gdbarch
| private

Definition at line 64 of file disasm.h.

Referenced by arch().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/disasm.h
- /tmp/gdb-8.1/gdb/disasm.c